// FILENAME:    Super_Dome.cs
//
// AUTHOR:  	}{RE}{kylade
//------------------------------------------------------------------------------
$missionName = "Super_Dome";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;  //Only 2 teams for this map
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionLoad()
{
   cdAudioCycle("Mechsoul", "CloudBurst", "Terror", "Watching", "Cyberntx");
   setGameInfo("<f2>GAME TYPE:<f0>  Team Death Match\n\n<f2>MAP CREATOR:<f0>  }{RE}{kylade\n\n<f0> No Crashing people, or foul language. It can get you banned.");
}

function player::onAdd(%this)
{
   say(%this, 0, "Map done by }{RE}{kylade. Enjoy!", "ee_pd09.WAV");
}

function SkyBase::structure::onScan(%scanned, %scanner)
{
   say(playermanager::vehicleidtoplayernum(%scanner),2,"Thank you for traveling on SkyBase Airlines...", "bigflyby.WAV");
   warp(%scanner, 8391);
}

function home::structure::onScan(%scanned, %scanner)
{
   say(playermanager::vehicleidtoplayernum(%scanner),2,"Please come again...", "bigflyby.WAV");
   redrop(%scanner);
}